Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.exception
Class NoPrivilegeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jet.JException
                  jet.JSException
                      jet.server.api.exception.NoPrivilegeException

All Implemented Interfaces:
  java.io.Serializable

    public class NoPrivilegeException

extends jet.JSException

Indicate an exception occurs, this exception will occur once a user require any action without corresponding privilege or user does not exist.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jet.JException
`jet.JException.LogLevel`

Constructor Summary
`NoPrivilegeException(int msgKey)` Constructs a new `NoPrivilegeException` with the specified message, the cause is not initialized.
`NoPrivilegeException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detailed message and cause.
`NoPrivilegeException(int msgKey, java.lang.Throwable cause)` Constructs a new `NoPrivilegeException` with the specified detailed message and cause.
`NoPrivilegeException(java.lang.String msg)` Constructs a new NoPrivilegeException with the message.
`NoPrivilegeException(java.lang.String message, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new `NoPrivilegeException` with the specified cause ,message and parameters.
`NoPrivilegeException(java.lang.String msg, java.lang.Throwable originalThrowable)` Constructs a new RptServerException with the message and the original Throwable object.
`NoPrivilegeException(java.lang.Throwable cause)` Constructs a new `NoPrivilegeException` with the specified cause and a `null` message.

Method Summary
`java.lang.Throwable` | `getOriginalThrowable()` Gets the original Throwable object.
`java.lang.String` | `toString()` Converts this object to string information.

Methods inherited from class jet.JSException
`getErrorKey`

Methods inherited from class jet.JException
`getMessages, getThrowables, logTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoPrivilegeException

    public NoPrivilegeException(int msgKey,
                                java.lang.Object[] params,
                                java.lang.Throwable cause)

  Constructs a new throwable with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for finding the message, and which will be logged and shown to user.
    `params` - the parameters used for formatting the message string, which can be null.
    `cause` - the cause which is saved for later retrieval by the getCause.

### NoPrivilegeException

    public NoPrivilegeException(int msgKey,
                                java.lang.Throwable cause)

  Constructs a new `NoPrivilegeException` with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key.
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### NoPrivilegeException

    public NoPrivilegeException(int msgKey)

  Constructs a new `NoPrivilegeException` with the specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key.

### NoPrivilegeException

    public NoPrivilegeException(java.lang.Throwable cause)

  Constructs a new `NoPrivilegeException` with the specified cause and a `null` message.

  Parameters:
    `cause` - the cause.

### NoPrivilegeException

    public NoPrivilegeException(java.lang.String message,
                                java.lang.Object[] params,
                                java.lang.Throwable cause)

  Constructs a new `NoPrivilegeException` with the specified cause ,message and parameters.

  Parameters:
    `message` - the detailed message.
    `params` - the parameters.
    `cause` - the cause.

### NoPrivilegeException

    public NoPrivilegeException(java.lang.String msg)

  Constructs a new NoPrivilegeException with the message.

  Parameters:
    `msg` - the detailed message.

### NoPrivilegeException

    public NoPrivilegeException(java.lang.String msg,
                                java.lang.Throwable originalThrowable)

  Constructs a new RptServerException with the message and the original Throwable object.

  Parameters:
    `msg` - the detailed message.
    `originalThrowable` - the original Throwable object.

Method Detail

### getOriginalThrowable

    public java.lang.Throwable getOriginalThrowable()

  Gets the original Throwable object.

  Returns:
    the original Throwable object.

### toString

    public java.lang.String toString()

  Converts this object to string information.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    string information of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD